
TYPO3.Fluid - Bug # 6897

Status: Resolved Priority: Should have
Author: Jan Roth Category:
Created: 2010-03-17 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: Fluid: form.select no (pre)selected values in multiple-mode
Description

If a select-field in my form is multiple="multiple" and size > 1 then is no value selected in editActions with correctly assigned property
...

Associated revisions
Revision b71ce346 - 2010-07-19 22:55 - Bastian Waidelich

[+BUGFIX] Fluid (ViewHelpers): Now, it is possible to "unselect" checkboxes and multiselect fields in editing forms. This fixes #5638. This fixes #8535.
This fixes #6897 (improved forwardport from Fluid extension r2346)

History
#1 - 2010-03-17 17:28 - Jan Roth

Values which are already assigned will not be detached, if no Value is selected. (In both situations i have assigned a ObjectStorage as property,
maybe not supported? I just detected that checkbox viewhelper only support array and boolean. How does select work here?)

#2 - 2010-06-18 15:22 - Sebastian Kurfuerst
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (431)

#3 - 2010-06-18 15:24 - Sebastian Kurfuerst
- Priority changed from Must have to Should have

I think this is related to #5638, I guess the same trick must be applied here.

#4 - 2010-07-13 18:23 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#5 - 2010-07-19 23:00 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4874.
